;(function($) {
	/**
	 * Copyright 2012, Digital Fusion
	 * Licensed under the MIT license.
	 * http://teamdf.com/jquery-plugins/license/
	 *
	 * @author Sam Sehnert
	 * @desc A small plugin that checks whether elements are within
	 *       the user visible viewport of a web browser.
	 *       can accounts for vertical position, horizontal, or both
	 */
	var $w = $(window)
	$.fn.visible = function(partial, hidden, direction, container) {
		if (this.length < 1) return

		// Set direction default to 'both'.
		direction = direction || 'both'

		var $t = this.length > 1 ? this.eq(0) : this,
			isContained = typeof container !== 'undefined' && container !== null,
			$c = isContained ? $(container) : $w,
			wPosition = isContained ? $c.position() : 0,
			t = $t.get(0),
			vpWidth = $c.outerWidth(),
			vpHeight = $c.outerHeight(),
			clientSize = hidden === true ? t.offsetWidth * t.offsetHeight : true

		if (typeof t.getBoundingClientRect === 'function') {
			// Use this native browser method, if available.
			var rec = t.getBoundingClientRect(),
				tViz = isContained ? rec.top - wPosition.top >= 0 && rec.top < vpHeight + wPosition.top : rec.top >= 0 && rec.top < vpHeight,
				bViz = isContained ? rec.bottom - wPosition.top > 0 && rec.bottom <= vpHeight + wPosition.top : rec.bottom > 0 && rec.bottom <= vpHeight,
				lViz = isContained ? rec.left - wPosition.left >= 0 && rec.left < vpWidth + wPosition.left : rec.left >= 0 && rec.left < vpWidth,
				rViz = isContained ? rec.right - wPosition.left > 0 && rec.right < vpWidth + wPosition.left : rec.right > 0 && rec.right <= vpWidth,
				vVisible = partial ? tViz || bViz : tViz && bViz,
				hVisible = partial ? lViz || rViz : lViz && rViz,
				vVisible = rec.top < 0 && rec.bottom > vpHeight ? true : vVisible,
				hVisible = rec.left < 0 && rec.right > vpWidth ? true : hVisible

			if (direction === 'both') return clientSize && vVisible && hVisible
			else if (direction === 'vertical') return clientSize && vVisible
			else if (direction === 'horizontal') return clientSize && hVisible
		} else {
			var viewTop = isContained ? 0 : wPosition,
				viewBottom = viewTop + vpHeight,
				viewLeft = $c.scrollLeft(),
				viewRight = viewLeft + vpWidth,
				position = $t.position(),
				_top = position.top,
				_bottom = _top + $t.height(),
				_left = position.left,
				_right = _left + $t.width(),
				compareTop = partial === true ? _bottom : _top,
				compareBottom = partial === true ? _top : _bottom,
				compareLeft = partial === true ? _right : _left,
				compareRight = partial === true ? _left : _right

			if (direction === 'both') return !!clientSize && compareBottom <= viewBottom && compareTop >= viewTop && compareRight <= viewRight && compareLeft >= viewLeft
			else if (direction === 'vertical') return !!clientSize && compareBottom <= viewBottom && compareTop >= viewTop
			else if (direction === 'horizontal') return !!clientSize && compareRight <= viewRight && compareLeft >= viewLeft
		}
	}
})(jQuery)

$(window).on('load', function() {
	visible()
	$(window).on('scroll', function(event) {
		visible()
	})
})

var flagvisible1 = true
var flagvisible2 = false
var flagvisible3 = false
var flagvisible4 = false
var flagvisible5 = false
function visible() {
	if ($('.line-1').visible(false, true) && flagvisible1) {
		$('.line-1').addClass('view')
		flagvisible1 = false
		setTimeout(function() {
			flagvisible2 = true
			if ($('.line-2').visible(true)) {
				$('.line-2').addClass('view')
				flagvisible2 = false
				flagvisible3 = true
			}
		}, 2000)
	}
	if ($('.line-2').visible(false, true) && flagvisible2 && $('.line-1').hasClass('view')) {
		$('.line-2').addClass('view')
		setTimeout(function() {
			flagvisible3 = true
		}, 2000)
		flagvisible2 = false
	}
	if ($('.line-3').visible(false, true) && flagvisible3 && $('.line-2').hasClass('view')) {
		$('.line-3').addClass('view')
		setTimeout(function() {
			flagvisible4 = true
		}, 1000)
		flagvisible3 = false
	}
	if ($('.line-4').visible(false, true) && flagvisible4 && $('.line-3').hasClass('view')) {
		$('.line-4').addClass('view')
		setTimeout(function() {
			flagvisible5 = true
		}, 1000)
		flagvisible4 = false
	}
	if ($('.line-5').visible(false, true) && flagvisible5 && $('.line-4').hasClass('view')) {
		$('.line-5').addClass('view')
		flagvisible5 = false
	}
}
